de.caff.version

## Class ModuleVersion

- java.lang.Object
- - de.caff.version.ModuleVersion

- All Implemented Interfaces:
    ModuleVersionService

      public class ModuleVersion
      extends java.lang.Object
      implements ModuleVersionService

  Module version information. This automatically created class provides version information for the module in which it is contained. Note that creating this class is only the first step, it is necessary to include it in the META-INF/services directory in the module's jar.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MODULE_NAME` Module name.
    `static SemVer` | `VERSION` Module version as a constant.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleVersion()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getModuleName()` Get the name of the module for which the version is given.
    `SemVer` | `getModuleVersion()` Get the current version of the module for which this service is responsible.
    `static java.lang.String` | `getReleaseDate()` Get the release date.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.version.ModuleVersionService

      `collectServices, collectServices, iterator, iterator, makeDependsOutput`

- - ### Field Detail

    - #### MODULE_NAME

          @NotNull
          public static final java.lang.String MODULE_NAME

      Module name.
      See Also:
        Constant Field Values

    - #### VERSION

          @NotNull
          public static final SemVer VERSION

      Module version as a constant.

  - ### Constructor Detail

    - #### ModuleVersion

          public ModuleVersion()

  - ### Method Detail

    - #### getModuleName

          @NotNull
          public java.lang.String getModuleName()

      Description copied from interface: `ModuleVersionService`
      Get the name of the module for which the version is given.
      Specified by:
        `getModuleName` in interface `ModuleVersionService`
      Returns:
        module name

    - #### getModuleVersion

          @NotNull
          public SemVer getModuleVersion()

      Description copied from interface: `ModuleVersionService`
      Get the current version of the module for which this service is responsible.
      Specified by:
        `getModuleVersion` in interface `ModuleVersionService`
      Returns:
        module version

    - #### getReleaseDate

          @NotNull
          public static java.lang.String getReleaseDate()

      Get the release date. This assumes that the release date is included in `VERSION` as build string.
      Returns:
        build string of the version, empty if there is none

    - #### toString

          @NotNull
          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`